Name: rav1e
Version: 0.8.0
Release: alt1

Summary: The fastest and safest AV1 encoder
License: BSD-2-Clause
Group: Video
Url: https://github.com/xiph/rav1e

Source0: %name-%version.tar
Source1: crates.tar

BuildRequires: rust-cargo rust-cargo-c nasm /proc

%package -n librav1e
Summary: rav1e shared library
Group: System/Libraries

%package -n librav1e-devel
Summary: development part of rav1e
Group: Development/C

%define desc \
rav1e is an AV1 video encoder. It is designed to eventually cover all use cases,\
though in its current form it is most suitable for cases where libaom \
(the reference encoder) is too slow.

%description
%desc

%description -n librav1e
%desc
this package contains shared libraries of rav1e

%description -n librav1e-devel
%desc
this package contains development part of rav1e

%prep
%setup
%ifdef bootstrap
cargo vendor
tar cf %SOURCE1 vendor
%else
tar xf %SOURCE1
%endif
# cargo-c 0.9.28+
cat >> Cargo.toml << 'E_O_F'
[package.metadata.capi.library]
version_suffix_components = 1
E_O_F

%build
export CARGO_HOME=${PWD}/cargo
cargo build --release

%install
export CARGO_HOME=${PWD}/cargo
install -pm0755 -D target/release/rav1e %buildroot%_bindir/rav1e
cargo cinstall --destdir=%buildroot --includedir=%_includedir \
	--libdir=%_libdir --library-type=cdylib

%files
%_bindir/rav1e

%files -n librav1e
%_libdir/lib*.so.*

%files -n librav1e-devel
%_includedir/rav1e
%_libdir/lib*.so
%_pkgconfigdir/*pc

%changelog
* Tue May 27 2025 Sergey Bolshakov <sbolshakov@altlinux.org> 0.8.0-alt1
- 0.8.0 released

* Tue Jan 23 2024 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.7.1-alt1
- 0.7.1 released

* Tue Jan 09 2024 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.7.0-alt1
- 0.7.0 released

* Wed May 17 2023 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.6.6-alt1
- 0.6.6 released

* Wed May 10 2023 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.6.5-alt1
- 0.6.5 released

* Mon Apr 10 2023 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.6.4-alt1
- 0.6.4 released

* Wed Jan 11 2023 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.6.3-alt1
- 0.6.3 released

* Tue Dec 27 2022 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.6.2-alt1
- 0.6.2 released

* Thu Dec 01 2022 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.6.1-alt1
- 0.6.1 released

* Fri Mar 18 2022 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.5.1-alt1
- 0.5.1 released

* Fri Nov 26 2021 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.5.0-alt1
- initial
